> For the complete documentation index, see [llms.txt](https://docs.themochi.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.themochi.app/api-reference/config.md).

# Config

## GET /v1/config/funnels/

>

```json
{"openapi":"3.0.3","info":{"title":"Mochi Public API","version":"1.0.0"},"servers":[{"description":"Production","url":"https://api.themochi.app"}],"security":[{"BearerAuth":[]},{"PublicApiOAuth":["config:read"]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"},"PublicApiOAuth":{"flows":{"authorizationCode":{"authorizationUrl":"https://api.themochi.app/api/zapier/oauth/authorize/","scopes":{"analytics:read":"Access analytics:read","automations:write":"Access automations:write","bookings:read":"Access bookings:read","config:read":"Access config:read","config:write":"Access config:write","content:write":"Access content:write","leads:read":"Access leads:read","leads:write":"Access leads:write","links:write":"Access links:write","messages:send":"Access messages:send","revenue:read":"Access revenue:read","signals:read":"Access signals:read","team:read":"Access team:read"},"tokenUrl":"https://api.themochi.app/api/zapier/oauth/token/"}},"type":"oauth2"}},"schemas":{"Output_config_funnels":{"properties":{"id":{"readOnly":true,"type":"string"},"name":{"readOnly":true,"type":"string"},"stages":{"items":{"properties":{"id":{"readOnly":true,"type":"string"},"name":{"readOnly":true,"type":"string"},"order":{"readOnly":true,"type":"integer"}},"type":"object"},"readOnly":true,"type":"array"}},"type":"object"},"PublicApiErrorEnvelope":{"additionalProperties":false,"properties":{"error":{"additionalProperties":false,"properties":{"fields":{"additionalProperties":true,"type":"object"},"message":{"type":"string"},"request_id":{"type":"string"},"retry_after":{"minimum":0,"type":"integer"},"type":{"type":"string"}},"required":["type","message","request_id"],"type":"object"}},"required":["error"],"type":"object"}},"responses":{"BadRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The request is invalid."},"Unauthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"Authentication is missing, invalid, or revoked."},"Forbidden":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The authenticated identity lacks the required scope or capability."},"NotFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The resource is unavailable or not visible to this organization."},"TooManyRequests":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The request-rate budget is exhausted."}}},"paths":{"/v1/config/funnels/":{"get":{"operationId":"get_public_config_funnels","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Output_config_funnels"},"type":"array"},"next_cursor":{"nullable":true,"type":"string"}},"required":["data","next_cursor"],"type":"object"}}},"description":"Success"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"tags":["config"]}}}}
```

## GET /v1/config/tags/

>

```json
{"openapi":"3.0.3","info":{"title":"Mochi Public API","version":"1.0.0"},"servers":[{"description":"Production","url":"https://api.themochi.app"}],"security":[{"BearerAuth":[]},{"PublicApiOAuth":["config:read"]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"},"PublicApiOAuth":{"flows":{"authorizationCode":{"authorizationUrl":"https://api.themochi.app/api/zapier/oauth/authorize/","scopes":{"analytics:read":"Access analytics:read","automations:write":"Access automations:write","bookings:read":"Access bookings:read","config:read":"Access config:read","config:write":"Access config:write","content:write":"Access content:write","leads:read":"Access leads:read","leads:write":"Access leads:write","links:write":"Access links:write","messages:send":"Access messages:send","revenue:read":"Access revenue:read","signals:read":"Access signals:read","team:read":"Access team:read"},"tokenUrl":"https://api.themochi.app/api/zapier/oauth/token/"}},"type":"oauth2"}},"schemas":{"Output_config_tags":{"properties":{"ai_prompt":{"readOnly":true,"type":"string"},"category":{"readOnly":true,"type":"string"},"id":{"readOnly":true,"type":"string"},"is_ai":{"readOnly":true,"type":"boolean"},"name":{"readOnly":true,"type":"string"}},"type":"object"},"PublicApiErrorEnvelope":{"additionalProperties":false,"properties":{"error":{"additionalProperties":false,"properties":{"fields":{"additionalProperties":true,"type":"object"},"message":{"type":"string"},"request_id":{"type":"string"},"retry_after":{"minimum":0,"type":"integer"},"type":{"type":"string"}},"required":["type","message","request_id"],"type":"object"}},"required":["error"],"type":"object"}},"responses":{"BadRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The request is invalid."},"Unauthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"Authentication is missing, invalid, or revoked."},"Forbidden":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The authenticated identity lacks the required scope or capability."},"NotFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The resource is unavailable or not visible to this organization."},"TooManyRequests":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicApiErrorEnvelope"}}},"description":"The request-rate budget is exhausted."}}},"paths":{"/v1/config/tags/":{"get":{"operationId":"get_public_config_tags","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Output_config_tags"},"type":"array"},"next_cursor":{"nullable":true,"type":"string"}},"required":["data","next_cursor"],"type":"object"}}},"description":"Success"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"}},"tags":["config"]}}}}
```
